package sexplib0

  1. Overview
  2. Docs
Library containing the definition of S-expressions and some base converters

Install

Dune Dependency

Authors

Maintainers

Sources

sexplib0-v0.15.0.tar.gz
sha256=94462c00416403d2778493ac01ced5439bc388a68ac4097208159d62434aefba

Description

Part of Jane Street's Core library The Core suite of libraries is an industrial strength alternative to OCaml's standard library that was developed by Jane Street, the largest industrial user of OCaml.

Published: 21 Mar 2022

README

"Sexplib0 - a low-dep version of Sexplib"

sexplib0 is a lightweight portion of sexplib, for situations where a dependency on sexplib is problematic.

It has the type definition and the printing functions, but not parsing.

See sexplib for documentation.

Dependencies (2)

  1. dune >= "2.0.0"
  2. ocaml >= "4.04.2" & < "5.0"

Dev Dependencies

None

Used by (40)

  1. azblob
  2. base >= "v0.15.0" & < "v0.16.0"
  3. bitvec-sexp
  4. cohttp >= "1.2.0"
  5. cohttp-async >= "2.5.2"
  6. cohttp-lwt >= "2.5.0"
  7. cookies
  8. cudajit
  9. decoders-sexplib
  10. dune-compiledb
  11. ezjsonm >= "1.2.0"
  12. geojsone
  13. http
  14. ipaddr >= "3.0.0" & < "5.0.0"
  15. ipaddr-sexp >= "5.0.1"
  16. kdl
  17. macaddr < "4.0.0"
  18. macaddr-sexp >= "5.1.0"
  19. mirage-crypto-pk >= "0.10.4" & < "1.0.0"
  20. ocamlformat-rpc-lib < "0.21.0"
  21. odoc >= "2.0.0"
  22. odoc-parser
  23. otr >= "0.3.6"
  24. pa_ppx >= "0.07"
  25. parsexp = "v0.15.0"
  26. pgx >= "1.0"
  27. ppx_minidebug
  28. ppx_sexp_conv >= "v0.15.0" & < "v0.16.0"
  29. ppx_typed_fields < "v0.16.0"
  30. ppxlib >= "0.28.0"
  31. reparse >= "1.0.1" & < "2.0.0"
  32. rock
  33. rungen
  34. sexplib >= "v0.15.0" & < "v0.16.0"
  35. shared-block-ring >= "3.0.0"
  36. shexp = "v0.15.0"
  37. uri >= "2.0.0" & < "2.2.0"
  38. uri-sexp >= "4.0.0"
  39. yaml-sexp < "3.0.1"
  40. yices2_bindings

Conflicts

None

OCaml

Innovation. Community. Security.